Update Ambient Session Context
Update existing session context with new clinical information
curl --request PATCH \
--url https://sdp.suki.ai/api/v1/ambient/session/<ambient_session_id>/context \
--header 'Content-Type: application/json' \
--header 'sdp_suki_token: <sdp_suki_token>' \
--header 'sdp_provider_id: <sdp_provider_id>' \
--data '{
"diagnoses": {
"values": [
{
"codes": [
{
"code": "30422",
"description": "Essential hypertension",
"type": "IMO"
}
],
"diagnosis_note": "Hypertension"
}
]
},
"emr": {
"target_emr": "ATHENA"
},
"orders": {
"medication_orders": {
"values": [
{
"dosage": {
"quantity": 1,
"raw_value": "1 tablet",
"unit": "TAB"
},
"drug_name": "Acetaminophen 500mg Tab",
"duration_in_days": 7,
"end_date": "2026-01-08T00:00:00Z",
"format": {
"raw_value": "Tablet"
},
"frequency": {
"raw_value": "once daily",
"structured_value": "ONE_A_DAY"
},
"instructions": "Take with food",
"linked_diagnosis_codes": [
{
"code": "I10",
"type": "ICD10"
}
],
"medication_code": {
"code": "860975",
"type": "RXCUI"
},
"medication_timing": {
"raw_value": "morning",
"structured_value": "IN_THE_MORNING"
},
"metadata": {
"encounter_relation": "CURRENT_ENCOUNTER",
"origin": "SUKI_AMBIENT"
},
"number_of_refills": 3,
"quantity_dispensed": "1 box",
"route": {
"raw_value": "Oral"
},
"start_date": "2026-01-01T00:00:00Z",
"status": "ACTIVE",
"strength": {
"raw_value": "500mg"
}
}
]
}
},
"patient": {
"dob": "2000-01-01",
"sex": "male"
},
"provider": {
"role": "ATTENDING",
"specialty": "CARDIOLOGY"
},
"sections": [
{
"loinc": "10164-2"
}
],
"visit": {
"chief_complaint": "Headache",
"encounter_type": "AMBULATORY",
"reason_for_visit": "Follow-up for migraines",
"visit_type": "ESTABLISHED_PATIENT"
}
}'import requests
url = "https://sdp.suki.ai/api/v1/ambient/session/{ambient_session_id}/context"
payload = {
"diagnoses": { "values": [
{
"codes": [
{
"code": "30422",
"description": "Essential hypertension",
"type": "IMO"
}
],
"diagnosis_note": "Hypertension"
}
] },
"emr": { "target_emr": "ATHENA" },
"orders": { "medication_orders": { "values": [
{
"dosage": {
"quantity": 1,
"raw_value": "1 tablet",
"unit": "TAB"
},
"drug_name": "Acetaminophen 500mg Tab",
"duration_in_days": 7,
"end_date": "2026-01-08T00:00:00Z",
"format": { "raw_value": "Tablet" },
"frequency": {
"raw_value": "once daily",
"structured_value": "ONE_A_DAY"
},
"instructions": "Take with food",
"linked_diagnosis_codes": [
{
"code": "I10",
"type": "ICD10"
}
],
"medication_code": {
"code": "860975",
"type": "RXCUI"
},
"medication_timing": {
"raw_value": "morning",
"structured_value": "IN_THE_MORNING"
},
"metadata": {
"encounter_relation": "CURRENT_ENCOUNTER",
"origin": "SUKI_AMBIENT"
},
"number_of_refills": 3,
"quantity_dispensed": "1 box",
"route": { "raw_value": "Oral" },
"start_date": "2026-01-01T00:00:00Z",
"status": "ACTIVE",
"strength": { "raw_value": "500mg" }
}
] } },
"patient": {
"dob": "2000-01-01",
"sex": "male"
},
"provider": {
"role": "ATTENDING",
"specialty": "CARDIOLOGY"
},
"sections": [{ "loinc": "10164-2" }],
"visit": {
"chief_complaint": "Headache",
"encounter_type": "AMBULATORY",
"reason_for_visit": "Follow-up for migraines",
"visit_type": "ESTABLISHED_PATIENT"
}
}
headers = {
"sdp_suki_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {sdp_suki_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
diagnoses: {
values: [
{
codes: [{code: '30422', description: 'Essential hypertension', type: 'IMO'}],
diagnosis_note: 'Hypertension'
}
]
},
emr: {target_emr: 'ATHENA'},
orders: {
medication_orders: {
values: [
{
dosage: {quantity: 1, raw_value: '1 tablet', unit: 'TAB'},
drug_name: 'Acetaminophen 500mg Tab',
duration_in_days: 7,
end_date: '2026-01-08T00:00:00Z',
format: {raw_value: 'Tablet'},
frequency: {raw_value: 'once daily', structured_value: 'ONE_A_DAY'},
instructions: 'Take with food',
linked_diagnosis_codes: [{code: 'I10', type: 'ICD10'}],
medication_code: {code: '860975', type: 'RXCUI'},
medication_timing: {raw_value: 'morning', structured_value: 'IN_THE_MORNING'},
metadata: {encounter_relation: 'CURRENT_ENCOUNTER', origin: 'SUKI_AMBIENT'},
number_of_refills: 3,
quantity_dispensed: '1 box',
route: {raw_value: 'Oral'},
start_date: '2026-01-01T00:00:00Z',
status: 'ACTIVE',
strength: {raw_value: '500mg'}
}
]
}
},
patient: {dob: '2000-01-01', sex: 'male'},
provider: {role: 'ATTENDING', specialty: 'CARDIOLOGY'},
sections: [{loinc: '10164-2'}],
visit: {
chief_complaint: 'Headache',
encounter_type: 'AMBULATORY',
reason_for_visit: 'Follow-up for migraines',
visit_type: 'ESTABLISHED_PATIENT'
}
})
};
fetch('https://sdp.suki.ai/api/v1/ambient/session/{ambient_session_id}/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"diagnoses": {
"values": [
{
"codes": [
{
"code": "30422",
"description": "Essential hypertension",
"type": "IMO"
}
],
"diagnosis_note": "Hypertension"
}
]
},
"emr": {
"target_emr": "ATHENA"
},
"orders": {
"medication_orders": {
"values": [
{
"dosage": {
"quantity": 1,
"raw_value": "1 tablet",
"unit": "TAB"
},
"drug_name": "Acetaminophen 500mg Tab",
"duration_in_days": 7,
"end_date": "2026-01-08T00:00:00Z",
"format": {
"raw_value": "Tablet"
},
"frequency": {
"raw_value": "once daily",
"structured_value": "ONE_A_DAY"
},
"instructions": "Take with food",
"linked_diagnosis_codes": [
{
"code": "I10",
"type": "ICD10"
}
],
"medication_code": {
"code": "860975",
"type": "RXCUI"
},
"medication_timing": {
"raw_value": "morning",
"structured_value": "IN_THE_MORNING"
},
"metadata": {
"encounter_relation": "CURRENT_ENCOUNTER",
"origin": "SUKI_AMBIENT"
},
"number_of_refills": 3,
"quantity_dispensed": "1 box",
"route": {
"raw_value": "Oral"
},
"start_date": "2026-01-01T00:00:00Z",
"status": "ACTIVE",
"strength": {
"raw_value": "500mg"
}
}
]
}
},
"patient": {
"dob": "2000-01-01",
"sex": "male"
},
"provider": {
"role": "ATTENDING",
"specialty": "CARDIOLOGY"
},
"sections": [
{
"loinc": "10164-2"
}
],
"visit": {
"chief_complaint": "Headache",
"encounter_type": "AMBULATORY",
"reason_for_visit": "Follow-up for migraines",
"visit_type": "ESTABLISHED_PATIENT"
}
}
}{
"code": 400,
"message": "invalid request"
}{
"code": 401,
"message": "invalid token"
}{
"code": 403,
"message": "forbidden"
}{
"code": 404,
"message": "not found"
}{
"code": 500,
"message": "internal server error"
}Comparison with POST Context
| Feature | POST (Seed) | PATCH (Update) |
|---|---|---|
| Purpose | Set entire context all at once when available | Incrementally build context as information becomes available |
| Data Approach | Complete context payload | Partial context updates |
| Timing | Before EndSession. When you have all context information together. | Before EndSession. As information becomes available progressively |
| Behavior | Replaces entire context | Updates only specified fields |
Authorizations
Suki access token (suki_token) from Login or Register. Expires after one hour.
Headers
Optional for standard partners.
Required for:
- Bearer authentication. Use the same
provider_idreturned by the Login or Register API. - Single Auth Token authentication. Include the same
provider_idon every request assdp_provider_id.
"provider-123"
Path Parameters
UUID for the ambient session. Use the ambient_session_id returned from Create Ambient Session, or the UUID you supplied in that request.
Body
Partial ambient session context update. Include only the fields you want to add or change.
Optional - Diagnoses to add or update.
Show child attributes
Show child attributes
Optional - EMR context to add or update.
Show child attributes
Show child attributes
Optional - Medication orders to add or update.
Show child attributes
Show child attributes
Optional - Patient demographics to add or update.
Show child attributes
Show child attributes
Optional - Provider details to add or update.
Show child attributes
Show child attributes
Optional - Information about the sections to be generated. If not provided, all supported note-sections will be generated.
Show child attributes
Show child attributes
Optional - Visit details to add or update.
Show child attributes
Show child attributes
Response
Request succeeded.
Updated ambient session context after a successful PATCH.
Updated context for the session
Show child attributes
Show child attributes
Was this page helpful?
